# class Tk::Tcllib::Widget::Statusbar

### Constants

PACKAGE_NAME
TkCommandNames

### Public Class Methods

package_name() click to toggle source

    # File lib/tkextlib/tcllib/statusbar.rb, line 20
    def self.package_name
      PACKAGE_NAME
    end

package_version() click to toggle source

    # File lib/tkextlib/tcllib/statusbar.rb, line 24
    def self.package_version
      begin
        TkPackage.require('widget::statusbar')
      rescue
        ''
      end
    end

### Public Instance Methods

add(w, keys={}) click to toggle source

    # File lib/tkextlib/tcllib/statusbar.rb, line 58
    def add(w, keys={})
      window(tk_send_without_enc('setwidget', *(hash_kv(keys))))
    end

delete(*wins) click to toggle source

    # File lib/tkextlib/tcllib/statusbar.rb, line 72
    def delete(*wins)
      tk_send_without_enc('delete', *wins)
      self
    end

get_frame()
Alias for: getframe
getframe() click to toggle source

    # File lib/tkextlib/tcllib/statusbar.rb, line 53
    def getframe
      window(tk_send_without_enc('getframe'))
    end

Also aliased as: get_frame
items(pat=None) click to toggle source

    # File lib/tkextlib/tcllib/statusbar.rb, line 77
    def items(pat=None)
      tk_split_list(tk_send('items', pat))
    end

remove(*wins) click to toggle source

    # File lib/tkextlib/tcllib/statusbar.rb, line 62
    def remove(*wins)
      tk_send_without_enc('remove', *wins)
      self
    end

remove_with_destroy(*wins) click to toggle source

    # File lib/tkextlib/tcllib/statusbar.rb, line 67
    def remove_with_destroy(*wins)
      tk_send_without_enc('remove', '-destroy', *wins)
      self
    end

### Private Instance Methods

__boolval_optkeys() click to toggle source
Calls superclass method Tk::Frame#__boolval_optkeys

    # File lib/tkextlib/tcllib/statusbar.rb, line 38
    def __boolval_optkeys
      super() << 'separator' << 'resize' << 'resizeseparator'
    end

create_self(keys) click to toggle source

    # File lib/tkextlib/tcllib/statusbar.rb, line 43
    def create_self(keys)
      if keys and keys != None
        tk_call_without_enc(self.class::TkCommandNames[0], @path,
                            *hash_kv(keys, true))
      else
        tk_call_without_enc(self.class::TkCommandNames[0], @path)
      end
    end